var domain = "http://gzhd.saic.gov.cn:8281";
var suffix = ".action";
// 校验手机号码
function isMobile(str) {
	var patrn = /^1\d{10}$/;
	return patrn.test(str);
}
// 校验电邮地址
function isEmail(str) {
	var patrn = /(\w+@\w+\.\w+)(\.{0,1}\w*)(\.{0,1}\w*)/i;
	return patrn.test(str);
}

function isPassWord6_16(str) {
	var patrn = /^[a-zA-Z0-9]{1}.{5,15}$/;
	return patrn.test(str);
}

(function() { 
	$("#mobileInput").on("blur",function(){
		var mobile = $.trim($("#mobileInput").val());
		if(mobile == ""){
			openCenterAlert("手机号码不能为空");
			return;
		}
		if(!isMobile(mobile)){
			openCenterAlert("手机号格式错误，请重新输入");
			return;
		}
	})
	
	$("#emailInput").on("blur",function(){
		var email = $.trim($("#emailInput").val());
		if(email == ""){
			openCenterAlert("邮箱不能为空");
			return;
		}
		
		if(!isEmail(email)){
			openCenterAlert("邮箱格式错误，请重新输入");
			return;
		}
	})
	
	$("#pwdInput").on("blur",function(){
		var pwd = $.trim($("#pwdInput").val());
		if(pwd == ""){
			openCenterAlert("密码不能为空");
			return;
		}
		
		if (!isPassWord6_16(pwd)) {
			openCenterAlert("密码格式错误，请重新输入");
			return;
		}
	})
	
	$("#rePwdInput").on("blur",function(){
		var ppwd = $.trim($("#rePwdInput").val());
		var pwd = $.trim($("#pwdInput").val());
		if(ppwd == ""){
			openCenterAlert("确认密码不能为空");
			return;
		}
		
		if (pwd != ppwd) {
			openCenterAlert("密码不一致，请重新输入");
			return;
		}
	})
})(); 

var time = 0;
function sendData(){
	if(time==0){
		var mobile = $.trim($("#mobileInput").val());
		if(mobile==""){
			openAlert("请输入手机号码");
		}else{
			if(!isMobile(mobile)){
				openAlert("手机号格式错误，请重新输入");
			}else{
				$.post(domain + "/validatorUserPhone" + suffix,{phone:mobile},function(data){
					if (data > 0) {
						openAlert("该手机号已被注册，请重新输入");
					}else{
						$.post(domain + "/sendMakeCertPic" + suffix,{phone:mobile});
						var sendDataBut = $("#sendDataBut");
						time = 60;
						sendDataBut.text("("+time+"秒)后重新获取");
						sendDataBut.css("background-color","#999999");
						setTimeout("setBut()", 1000);
					}
				});
			}
		}
	}
}

function setBut(){
	time --;
	var sendDataBut = $("#sendDataBut");
	if(time>0){
		sendDataBut.text("("+time+"秒)后重新获取");
		setTimeout("setBut()", 1000);
	}else{
		sendDataBut.text("刷新验证码");
		sendDataBut.css("background-color","");
	}
	
}

function setTag(x,y){
	if(y>=1){
		y--;
		$(".opnewindow01").text("注册成功，("+y+"秒)后自动跳转到登录页面");
		setTimeout(function(){setTag(x,y)},1000);
	}else{
		$(".opnewindow").fadeOut();
		window.location.href="login.html";
	}
	
}


function register(){
		$("button").attr("disabled","disabled");
		var mobile = $.trim($("#mobileInput").val());
		var email = $.trim($("#emailInput").val());
		var pwd = $.trim($("#pwdInput").val());
		var ppwd = $.trim($("#rePwdInput").val());
		var imgcode = $.trim($("#vcodeInput").val());
		var xieyi = $.trim($("#protocolInput").is(':checked'));
		var num = 0;
	
		if(mobile == ""){
			num = 1;
			openAlert("手机号码不能为空");
			$("button").removeAttr("disabled");
			return;
		}
		else{
			if(!isMobile(mobile)){
				num = 1;
				openAlert("手机号格式错误，请重新输入");
				$("button").removeAttr("disabled");
				return;
			}else{
				$.ajax({url:domain+"/validatorUserPhone"+suffix, data:{phone:mobile}, type:"post", async:false, success:function(data) {
					data = parseInt(data);
					if (data > 0) {
						num = 1;
						openAlert("该手机号已被注册，请重新输入");
					}
				}});
				//提示错误信息后退出方法
				if(num == 1){
					$("button").removeAttr("disabled");
					return;
				}
			}
		}
	
		if (email == "") {
			num = 1;
			openAlert("邮箱不能为空");
			$("button").removeAttr("disabled");
			return;
		} else {
			if (isEmail(email)) {
				$.ajax({url:domain+"/validatorUserEmail"+suffix, data:{email:email}, type:"post", async:false, success:function(data) {
					data = parseInt(data);
					if (data > 0) {
						num = 1;
						openAlert("邮箱已被注册，请重新输入");
					}
				}});
				//提示错误信息后退出方法
				if(num == 1){
					$("button").removeAttr("disabled");
					return;
				}
				
			} else {
				num = 1;
				openAlert("邮箱格式错误，请重新输入");
				$("button").removeAttr("disabled");
				return;
			}
		}
	
		if (pwd == "") {
			num = 1;
			openAlert("密码不能为空");
			$("button").removeAttr("disabled");
			return;
		} else {
			if (!isPassWord6_16(pwd)) {
				num = 1;
				openAlert("密码格式错误，请重新输入");
				$("button").removeAttr("disabled");
				return;
			}
		}
	
		if (ppwd == "") {
			num = 1;
			openAlert("确认密码不能为空");
			$("button").removeAttr("disabled");
			return;
		} else {
			if (isPassWord6_16(ppwd)) {
				if (pwd != ppwd) {
					num = 1;
					openAlert("密码不一致，请重新输入");
					$("button").removeAttr("disabled");
					return;
				}
			} else {
				num = 1;
				openAlert("密码格式错误，请重新输入");
				$("button").removeAttr("disabled");
				return;
			}
		}
	
		if (xieyi == false) {
			num = 1;
			openAlert("请同意协议条款");
			$("button").removeAttr("disabled");
			return;
		}
	
		if (imgcode == '' || imgcode == null) {
			num = 1;
			openAlert("验证码不能为空");
			$("button").removeAttr("disabled");
			return;
		} else {
			$.ajax({url:domain+"/validateImg"+suffix, data:{imgcode:imgcode+mobile}, type:"post", success:function(data) {
				data = parseInt(data);
				if(data == 0) {
					openAlert("验证码不正确，请重新输入");
					$("button").removeAttr("disabled");
					return;
				} else {
					if(num == 0) {
						var param = {
							mobile: mobile,
							password: pwd,
							email: email,
							imgcode:imgcode
						}
						$.ajax({url:domain+"/addPhoneUser"+suffix, data:param, type:"post", success:function(data) {
							data = JSON.parse(data);
							if(data.result == 1) {

								$("input").attr("disabled","disabled");
								$("button").attr("disabled","disabled");
								$("#sendDataBut").removeAttr("href");
								var js=3;
								$(".opnewindow").fadeIn();
								setTag($(".opnewindow"),js);
							}
						}});
					}
				
				}
			}});
		}
}